## mingw-w64-qt6-location-6.6.3-1.src.tar.zst

=== src/plugins/geoservices/esri/CMakeLists.txt ===
qt_internal_add_plugin(GeoServiceProviderFactoryEsriPlugin
    OUTPUT_NAME qtgeoservices_esri
    CLASS_NAME GeoServiceProviderFactoryEsri
    PLUGIN_TYPE geoservices
    SOURCES
        geocodereply_esri.h geocodereply_esri.cpp
        geocodingmanagerengine_esri.h geocodingmanagerengine_esri.cpp
        geomapsource.h geomapsource.cpp
        georoutejsonparser_esri.h georoutejsonparser_esri.cpp
        georoutereply_esri.h georoutereply_esri.cpp
        georoutingmanagerengine_esri.h georoutingmanagerengine_esri.cpp
        geoserviceproviderfactory_esri.h geoserviceproviderfactory_esri.cpp
        geotiledmap_esri.h geotiledmap_esri.cpp
        geotiledmappingmanagerengine_esri.h geotiledmappingmanagerengine_esri.cpp
        geotiledmapreply_esri.h geotiledmapreply_esri.cpp
        geotilefetcher_esri.h geotilefetcher_esri.cpp
        placemanagerengine_esri.h placemanagerengine_esri.cpp
        placesearchreply_esri.h placesearchreply_esri.cpp
        placecategoriesreply_esri.h placecategoriesreply_esri.cpp
    LIBRARIES
        Qt::Core
        Qt::Network
        Qt::LocationPrivate
        Qt::PositioningPrivate
    DEFINES
        QT_NO_FOREACH
)

qt_add_resources(plugin_resource_files esri.qrc)

qt_internal_extend_target(GeoServiceProviderFactoryEsriPlugin
    SOURCES
        ${plugin_resource_files}
)

=== PKGBUILD ===
# Contributor: Mehdi Chinoune <mehdi.chinoune@hotmail.com>

_realname=qt6-location
pkgbase=mingw-w64-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}"
         "${MINGW_PACKAGE_PREFIX}-${_realname}-debug")
_qtver=6.6.3
pkgver=${_qtver/-/}
pkgrel=1
pkgdesc='Qt Location Libraries (mingw-w64)'
arch=(any)
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url='https://www.qt.io'
msys2_repository_url="https://code.qt.io/cgit/qt/qtlocation.git"
msys2_references=(
  'archlinux: qt6-location'
  "cpe: cpe:/a:qt:qt"
)
license=('spdx:LGPL-3.0-only WITH Qt-GPL-exception-1.0 AND Apache-2.0 AND BSD-3-Clause AND BSL-1.0 AND GFDL-1.3-no-invariants-only AND GPL-2.0-only AND GPL-3.0-only AND MIT')
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-cmake"
             "${MINGW_PACKAGE_PREFIX}-ninja"
             "${MINGW_PACKAGE_PREFIX}-qt6-declarative"
             "${MINGW_PACKAGE_PREFIX}-qt6-positioning"
             "${MINGW_PACKAGE_PREFIX}-qt6-shadertools"
             "rsync")
_pkgfn="${_realname/6-/}-everywhere-src-${_qtver}"
source=("https://download.qt.io/official_releases/qt/${pkgver%.*}/${_qtver}/submodules/${_pkgfn}.tar.xz")
sha256sums=('d7b42920f30a6a3fc4edffae541332fceaa6f5f7a4776c6809e0fd80fff801d1')

build() {
  mkdir -p build-${MSYSTEM} && cd build-${MSYSTEM}

  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
  ${MINGW_PREFIX}/bin/cmake \
    --log-level=STATUS \
    -GNinja \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    -DCMAKE_INSTALL_PREFIX=${MINGW_PREFIX} \
    ../${_pkgfn}

  ${MINGW_PREFIX}/bin/cmake --build .
}

package_qt6-location() {
  depends=("${MINGW_PACKAGE_PREFIX}-qt6-declarative"
           "${MINGW_PACKAGE_PREFIX}-qt6-positioning")
  optdepends=("${MINGW_PACKAGE_PREFIX}-qt6-shadertools")
  groups=("${MINGW_PACKAGE_PREFIX}-qt6")

  DESTDIR=${pkgdir} ${MINGW_PREFIX}/bin/cmake --install build-${MSYSTEM}

  # Seperate debug-info files
  rsync -armR --remove-source-files --include="*/" --include="*.debug" --exclude="*" --prune-empty-dirs ${pkgdir}/.${MINGW_PREFIX} ${srcdir}/${MSYSTEM}-debug/

  install -d "$pkgdir${MINGW_PREFIX}"/share/licenses/${_realname}
  install -Dm644 $_pkgfn/LICENSES/* -t "$pkgdir${MINGW_PREFIX}"/share/licenses/${_realname}
}

package_qt6-location-debug() {
  depends=("${MINGW_PACKAGE_PREFIX}-qt6-positioning-debug"
           "${MINGW_PACKAGE_PREFIX}-qt6-declarative-debug"
           "${MINGW_PACKAGE_PREFIX}-${_realname}")
  groups=("${MINGW_PACKAGE_PREFIX}-qt6-debug")
  options=('!strip')

  cp -rf ${srcdir}/${MSYSTEM}-debug${MINGW_PREFIX} "${pkgdir}"/
}

# template start; name=mingw-w64-splitpkg-wrappers; version=1.0;
# vim: set ft=bash :

# generate wrappers
for _name in "${pkgname[@]}"; do
  _short="package_${_name#${MINGW_PACKAGE_PREFIX}-}"
  _func="$(declare -f "${_short}")"
  eval "${_func/#${_short}/package_${_name}}"
done
# template end;
